Get Recommendation Session

Get Recommendation Session
Retrieve a recommendation session by ID

Fetches the complete configuration and current state of a specific recommendation session.

Notes:

  • Returns the full session payload including context inputs, analysis parameters, and metadata.
  • The embedded status object indicates if the recommendation is WAITING, ANALYSIS_IN_PROGRESS, READY_TO_PUBLISH, or ANALYSIS_FAILED.
  • To check only the status without retrieving the full configuration payload, use the /recommendations/{id}/status endpoint.
Request
URI
GET
https://{api_host}/intelligence/recommendations/{id}
COPY
Path Parameters
string
id
Required  

The id of the resource


Authentication
This operation uses the following authentication methods.
Responses
200

The recommendation resource is present. Status may indicate further information.

Returns RecommendationSession of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineRecommendationSession1
{
    "id": "c5ab3a5e-55d1-4f8e-b51a-0c065381dcd6",
    "display_name": "Application Recommendation Example",
    "description": "Recommendation created on 5/7/26, 11:59 AM",
    "recommendation_type": "APPLICATION",
    "action": "ANALYZE",
    "start_time": 1777576168093,
    "time_interval": {
        "start_time": 1777576168093,
        "end_time": 1778181112957
    },
    "monitoring_enabled": false,
    "site_ids": [
        "9e0865d0-9d89-44c7-8cc0-9f96a9b35721"
    ],
    "context_application": {
        "id": "301c802a-b183-40a6-9b26-bace5038ad80",
        "display_name": "My Application",
        "site_ids": []
    },
    "context_security_policies": [],
    "policy_type": "L4",
    "segmentation_strategies": [],
    "connectivity_preference": "NONE",
    "connectivity_preference_logging_enabled": false,
    "exclude_multicast_flows": true,
    "exclude_broadcast_flows": true,
    "additional_rules": [],
    "use_private_ip_range_group": false,
    "separate_rules_by_services": false,
    "_create_user": "admin",
    "_create_time": 1778180412438,
    "_last_modified_user": "admin",
    "_last_modified_time": 1778180971419,
    "_revision": 2,
    "_system_owned": false,
    "status": {
        "recommendation_overall_status": "READY_TO_PUBLISH",
        "recommendation_analysis_states": [
            {
                "site_id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
                "status_message": "",
                "status": "SUCCESS"
            }
        ],
        "recommendation_result_states": [
            {
                "id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
                "site_id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
                "status": "READY_TO_PUBLISH"
            }
        ],
        "rerun_recommended": false,
        "alerts": [],
        "groups_with_alert": []
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/intelligence/recommendations/{id}